
Core - Task # 54236

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54268 (Resolved): As an TYPO3-Contributor I want to have a clean CodeBase in order maintain the product

Status: Resolved Priority: Must have
Author: Steffen Ritter Category: File Abstraction Layer (FAL)
Created: 2013-12-06 Assigned To: Steffen Ritter
Updated: 2013-12-18 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: no-brainer
Sprint Focus:
Subject: sys_file_metadata uses mm for fe_group field
Description

has to be inline csv to work with TYPO3 access restrictions
remove opposite field

Related issues:
duplicated by Core - Task # 54237: filemetadata adds extremely slow MM-relati... Resolved 2013-12-06

Associated revisions
Revision 3cdab9df - 2013-12-18 15:45 - Steffen Ritter

[BUGFIX] Access to sys_files is incompatible to fe_access checks

The system extension filemetadata adds access restriction fields
for selecting frontend user groups as known from tt_content or
pages. Behind the scenes of the TCEform this relation is stored
in a MM table which is incompatible to the usual access checks.

In addition a opposite relation is added to fe_groups which
queries all files to show in a selector.

This change removes the MM table and reconfigures the fe_groups
field in the same way as it is done for tt_content and pages.

Resolves: #54236
Resolves: #54237
Releases: 6.2
Change-Id: I8a05073dee9e57e48335e1fe2a3917313563ac7d
Reviewed-on: https://review.typo3.org/25987
Reviewed-by: Markus Klein
Reviewed-by: Stefan Froemken
Tested-by: Stefan Froemken
Reviewed-by: Frans Saris
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History
#1 - 2013-12-07 09:41 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25987

#2 - 2013-12-07 14:27 - Steffen Ritter
- % Done changed from 0 to 100

#3 - 2013-12-07 16:06 - Steffen Ritter
- % Done changed from 100 to 70

#4 - 2013-12-07 16:07 - Steffen Ritter
- Parent task set to #54268

#5 - 2013-12-07 17:36 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25987

#6 - 2013-12-18 16:31 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 70 to 100

Applied in changeset commit:3cdab9df155082cb4a93a28f1c1a76d811dd9875.
